<sqtm-core-creation-dialog
  [attr.data-test-dialog-id]="'create-api-token-dialog'"
  (add)="addApiToken()"
  [hideAddAnotherButton]="true"
>
  @if (formGroup) {
    <div class="m-10">
      <div class="two-cols-form p-4 override-grid-template">
        <label class="label label__align_right">
          {{ 'sqtm-core.entity.generic.name.label' | translate }}
        </label>
        <sqtm-core-text-field
          #nameField
          [initialFocus]="true"
          [formGroup]="formGroup"
          [fieldName]="'name'"
          [attr.data-test-field-id]="'token-name'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-text-field>
        <label class="label label__align_right">
          {{
            'sqtm-core.user-account-page.api-token.grid.permissions' | translate
          }}
        </label>
        <sqtm-core-multiple-radio-button
          class="flex align-items-center"
          [attr.data-test-field-id]="'token-permissions'"
          [listItems]="permissions"
          (itemSelectionChanged)="changePermissionsSelection($event)"
        >
        </sqtm-core-multiple-radio-button>
        <label class="label label__align_right">
          {{
            'sqtm-core.user-account-page.api-token.dialog.create.expiry-date'
              | translate
          }}
        </label>
        <sqtm-core-date-picker
          #expiryDateField
          [formGroup]="formGroup"
          [allowEmptyValue]="false"
          [fieldName]="'expiryDate'"
          [attr.data-test-field-id]="'token-expiry-date'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
          [disabledDate]="disabledDate"
        >
        </sqtm-core-date-picker>
      </div>
    </div>
  }
</sqtm-core-creation-dialog>
